Más

¿Cómo solucionar el "error 000816: la herramienta no es válida" con las herramientas ET Geowizards?

¿Cómo solucionar el


Instalé ET Geowizards 11.2 para ArcGIS 10.3 usando setup.exe y seguí las instrucciones. Estoy usando ArcGIS 10.3.

Puedo usar las herramientas ET Geowizards desde la barra de herramientas y puedo ejecutarlas en ModelBuilder. Sin embargo, no puedo ejecutarlos desde la caja de herramientas. Cuando cargo ET Geowizard.tbx en ArcToolbox y ejecuto una herramienta, aparece el siguiente error:

Según el recurso en línea http://www.ian-ko.com/ET_GeoWizards/UserGuide/ToolBox/toolbox_howto_load.htm, las herramientas se registran en la instalación. Sin embargo, esto no parece haber tenido éxito.

Mi pregunta es cómo solucionar este problema.


El apoyo de ET proporcionó la respuesta:

Si la máquina en la que está ejecutando ArcGIS 10.1 tiene Windows de 64 bits y ha instalado el geoprocesamiento en segundo plano para la implementación de la caja de herramientas de la funcionalidad ET GeoWizards fallará si se ejecuta en segundo plano. La razón de esto es que ArcGIS (si está instalado en una máquina de 64 bits) empuja las tareas de geoprocesamiento a Python de 64 bits. Actualmente ET GeoWizards es una aplicación de 32 bits que se ejecuta sin problemas en equipos de 64 bits, pero en modo de 32 bits.

Si ejecuta las funciones a través de la interfaz ET GeoWizards, deberían ejecutarse bien

Si está ejecutando las herramientas desde ArcToolbox, debe desmarcar la casilla en las Opciones de geoprocesamiento que habilita el Geoprocesamiento en segundo plano.

Si está utilizando scripts de Python, debe ejecutarlos con Python de 32 bits. Debe haber dos versiones de Python C: Python27 ArcGIS10.1 python.exe - 32 bits o C: Python27 ArcGISx6410.1 python.exe - 64 bits asegúrese de ejecutar Python.exe con la ruta completa - C: Python27 ArcGIS10.1 python.exe